Package com.google.android.exoplayer2.transformer

## Interface Transformer.Listener

- Enclosing class:
    Transformer

      public static interface Transformer.Listener

  A listener for the transformation events.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `onTransformationCompleted​(MediaItem inputMediaItem)` | Called when the transformation is completed.
    `default void` | `onTransformationError​(MediaItem inputMediaItem, Exception exception)` | Called if an error occurs during the transformation.

- - ### Method Detail

    - #### onTransformationCompleted

          default void onTransformationCompleted​(MediaItem inputMediaItem)

      Called when the transformation is completed.
      Parameters:
        `inputMediaItem` - The `MediaItem` for which the transformation is completed.

    - #### onTransformationError

          default void onTransformationError​(MediaItem inputMediaItem,
                                             Exception exception)

      Called if an error occurs during the transformation.
      Parameters:
        `inputMediaItem` - The `MediaItem` for which the error occurs.
        `exception` - The exception describing the error.